%global commit 8c638fe17b470f4a27554cdf8e641bafa5e2a7a4
%global shortcommit %(c=%{commit}; echo ${c:0:7})


Name:           vim-supertab
Version:        2.2
Release:        0.3%{?dist}
Summary:        Perform all your vim insert mode completions with Tab

License:        BSD-3-Clause
URL:            https://github.com/ervandew/supertab
Source0:        %{url}/archive/%{commit}/supertab-%{version}-git%{shortcommit}.tar.gz

# Added metainfo per
# https://docs.fedoraproject.org/en-US/packaging-guidelines/AppData/#_metainfo_xml_file_creation
Source1:        vim-supertab.metainfo.xml

Requires:       vim-common >= 9.0

# TODO: These are needed by %%transfiletrigger provided by vim-commons,
# not sure how to get rid of these ATM :/
Requires(post): vim
Requires(postun): vim

# Needed for AppData check.
BuildRequires:  libappstream-glib

# Defines %%vimfiles_root
BuildRequires:  vim-filesystem
BuildArch:      noarch

%description
Supertab is a vim plugin which allows you to use <Tab> for all your
insert completion needs (:help ins-completion).


%prep
%autosetup -n supertab


%build
# Nothing to build. We are just copying files to the filesystem


%install
mkdir -p %{buildroot}%{vimfiles_root}
cp -ar {doc,ftplugin,plugin} %{buildroot}%{vimfiles_root}

# Install AppData.
mkdir -p %{buildroot}%{_metainfodir}
install -m 644 %{SOURCE1} %{buildroot}%{_metainfodir}


%check
# Check the AppData add-on to comply with guidelines.
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.metainfo.xml


%files
%doc README.rst
#%%license LICENSE
%doc %{vimfiles_root}/doc/supertab.txt
%{vimfiles_root}/ftplugin/*.vim
%{vimfiles_root}/plugin/supertab.vim
%{_metainfodir}/vim-supertab.metainfo.xml


%changelog
* Sun Sep 08 2024 Patrick Laimbock <patrick@laimbock.com> - 2.2-0.3
- update to git rev 8c638fe17b470f4a27554cdf8e641bafa5e2a7a4

* Mon Jun 03 2024 Patrick Laimbock <patrick@laimbock.com> - 2.2-0.2
- rebuild for  F40

* Sun Apr 16 2023 Patrick Laimbock <patrick@laimbock.com> - 2.2-0.1
- initial package
- based on git commit f0093ae12a9115498f887199809a6114659fc858
